LotusGraphInternal::ZonePc Struct Reference documentation

LotusGraphInternal::ZonePc Struct Reference

the graphic zone of a LotusGraph for 123 pc More...

## Public Types
enum | Type { Arc , Chart , Ellipse , FreeHand , Line , Picture , Polygon , Rect , Set , TextBox , Unknown }
| the different type More...

## Public Member Functions
| ZonePc (std::shared_ptr< WPSStream > const &stream)
| constructor
bool | getGraphicShape (WPSGraphicShape &shape, WPSPosition &pos) const
| returns a graphic shape corresponding to the main form (and the origin)
WPSTransformation | getTransformation () const
| returns a transformation corresponding to the shape

## Public Attributes
Type | m_type
| the zone type
bool | m_isGroup
| true if the set is a group
size_t | m_groupLastPosition
| the group last position
int | m_numPoints
| the number of points of a line or a polygon
std::vector< Vec2f > | m_vertices
| the list of points for a polygon
bool | m_isRoundRect
| true if the rect is a round rect
std::shared_ptr< WPSStream > | m_stream
| the stream
WPSBox2f | m_box
| the bdbox
Vec2f | m_translate
| the translation
float | m_rotate
| the rotation
int | m_graphicId [2]
| the graphic style id and the shadow style
int | m_arrows
| the line arrows
WPSEntry | m_textBoxEntry
| the text box entry
librevenge::RVNGBinaryData | m_pictureData
| the picture data
int | m_pictureHeaderRead
| the number of read byte of the header
bool | m_isSent
| a flag to know if the zone has already be sent
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, ZonePc const &z)
| operator<<

## Detailed Description

the graphic zone of a LotusGraph for 123 pc

## Member Enumeration Documentation

## ◆ Type

enum LotusGraphInternal::ZonePc::Type

the different type

Enumerator
Arc |
Chart |
Ellipse |
FreeHand |
Line |
Picture |
Polygon |
Rect |
Set |
TextBox |
Unknown |

## Constructor & Destructor Documentation

## ◆ ZonePc()

LotusGraphInternal::ZonePc::ZonePc | ( | std::shared_ptr< WPSStream > const & | stream | ) |
| inlineexplicit

constructor

Referenced by operator<<.

## Member Function Documentation

## ◆ getGraphicShape()

bool LotusGraphInternal::ZonePc::getGraphicShape | ( | WPSGraphicShape & | shape,
|  | WPSPosition & | pos ) const

returns a graphic shape corresponding to the main form (and the origin)

## ◆ getTransformation()

WPSTransformation LotusGraphInternal::ZonePc::getTransformation | ( |  | ) | const
| inline

returns a transformation corresponding to the shape

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ZonePc const & | z )
| friend

operator<<

## Member Data Documentation

## ◆ m_arrows

int LotusGraphInternal::ZonePc::m_arrows

the line arrows

Referenced by operator<<, and ZonePc().

## ◆ m_box

WPSBox2f LotusGraphInternal::ZonePc::m_box

the bdbox

Referenced by getGraphicShape(), getTransformation(), operator<<, and ZonePc().

## ◆ m_extra

std::string LotusGraphInternal::ZonePc::m_extra

extra data

Referenced by operator<<, and ZonePc().

## ◆ m_graphicId

int LotusGraphInternal::ZonePc::m_graphicId[2]

the graphic style id and the shadow style

Referenced by operator<<, and ZonePc().

## ◆ m_groupLastPosition

size_t LotusGraphInternal::ZonePc::m_groupLastPosition

the group last position

Referenced by ZonePc().

## ◆ m_isGroup

bool LotusGraphInternal::ZonePc::m_isGroup

true if the set is a group

Referenced by operator<<, and ZonePc().

## ◆ m_isRoundRect

bool LotusGraphInternal::ZonePc::m_isRoundRect

true if the rect is a round rect

Referenced by getGraphicShape(), operator<<, and ZonePc().

## ◆ m_isSent

bool LotusGraphInternal::ZonePc::m_isSent
| mutable

a flag to know if the zone has already be sent

Referenced by ZonePc().

## ◆ m_numPoints

int LotusGraphInternal::ZonePc::m_numPoints

the number of points of a line or a polygon

Referenced by operator<<, and ZonePc().

## ◆ m_pictureData

librevenge::RVNGBinaryData LotusGraphInternal::ZonePc::m_pictureData

the picture data

Referenced by ZonePc().

## ◆ m_pictureHeaderRead

int LotusGraphInternal::ZonePc::m_pictureHeaderRead

the number of read byte of the header

Referenced by ZonePc().

## ◆ m_rotate

float LotusGraphInternal::ZonePc::m_rotate

the rotation

Referenced by getTransformation(), operator<<, and ZonePc().

## ◆ m_stream

std::shared_ptr<WPSStream> LotusGraphInternal::ZonePc::m_stream

the stream

Referenced by ZonePc().

## ◆ m_textBoxEntry

WPSEntry LotusGraphInternal::ZonePc::m_textBoxEntry

the text box entry

Referenced by ZonePc().

## ◆ m_translate

Vec2f LotusGraphInternal::ZonePc::m_translate

the translation

Referenced by getTransformation(), operator<<, and ZonePc().

## ◆ m_type

Type LotusGraphInternal::ZonePc::m_type

the zone type

Referenced by getGraphicShape(), operator<<, and ZonePc().

## ◆ m_vertices

std::vector<Vec2f> LotusGraphInternal::ZonePc::m_vertices

the list of points for a polygon

Referenced by getGraphicShape(), and ZonePc().

The documentation for this struct was generated from the following file:

- LotusGraph.cpp